Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000390ScribusUser Interfacepublic2004-03-31 13:332006-03-05 15:07
Reportermega 
Assigned Tocbradney 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
Platform586OSLinuxOS VersionMandrake 10
Product Version1.3.1cvs 
Target VersionFixed in Version1.3.3cvs 
Summary0000390: constrained movement of objects with a modifier key
DescriptionAs in Gimp: Moving of objects with pressed Ctrl key would be horizontal or vertical only (or accurate angle 0/30/45/60/90... degrees), depends on mouse cursor direction. It's a great feature. With this isn't necessary to edit objects and manualy set their positions. But not only objects! Also nodes, text and generaly all elements with positioning of everything would be touched with this feature.
TagsNo tags attached.
Patch
Attached Files

- Relationships
has duplicate 0001067closedringerc Shift-drag 
has duplicate 0001401closedcbradney moving objects in one of axis with mouse + keyboard 
related to 0002407acknowledged Metabug: Misleading and wrong cursors 
child of 0003171acknowledged Metabug: Selection improvements 

-  Notes
(0005988)
ringerc (administrator)
2005-08-09 18:27

Bumping to 1.3.1cvs.

For now your best option is the nudge controls and keys. Agree that it's desirable - yet another thing on the way too long todo list.
(0007487)
avox (administrator)
2005-11-19 18:42

took the liberty to assign this to you, MrB.

We should think about it while we refactor pageitem & co.
If you mind, you can reassign this bug to me.

- Issue History
Date Modified Username Field Change
2004-03-31 13:33 mega New Issue
2004-04-07 17:02 cbradney Category General => User Interface
2005-08-09 18:27 ringerc Note Added: 0005988
2005-08-09 18:27 ringerc Status new => acknowledged
2005-08-09 18:27 ringerc Product Version 1.1.6 => 1.3.1cvs
2005-08-09 18:42 ringerc Relationship added has duplicate 0001067
2005-08-09 18:43 ringerc Summary Accurate vertical and horizontal (objects/nodes/lines) moving with Ctrl key => constrained movement of objects with a modifier key
2005-11-19 18:40 avox Status acknowledged => assigned
2005-11-19 18:40 avox Assigned To => cbradney
2005-11-19 18:42 avox Note Added: 0007487
2006-02-04 00:41 jo-hannes Relationship added child of 0003171
2006-02-27 01:39 cbradney Status assigned => resolved
2006-02-27 01:39 cbradney Fixed in Version => 1.3.3cvs
2006-02-27 01:39 cbradney Resolution open => fixed
2006-03-05 15:07 cbradney Status resolved => closed
2006-03-06 00:46 cbradney Relationship added has duplicate 0001401
2007-05-23 21:43 christoph_s Relationship added related to 0002407



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker